메인 콘텐츠로 건너뛰기
POST
/
2
/
compliance
/
jobs
컴플라이언스 작업 생성
curl --request POST \
  --url https://api.x.com/2/compliance/jobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "my-job",
  "resumable": true
}
'
{
  "data": {
    "created_at": "2021-01-06T18:40:40.000Z",
    "download_expires_at": "2021-01-06T18:40:40.000Z",
    "download_url": "<string>",
    "id": "1372966999991541762",
    "upload_expires_at": "2021-01-06T18:40:40.000Z",
    "upload_url": "<string>",
    "name": "my-job"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

본문

application/json

새 배치 컴플라이언스 작업을 생성하는 요청입니다.

type
enum<string>
필수

나열할 컴플라이언스 작업의 유형입니다.

사용 가능한 옵션:
tweets,
users
name
string

규정 준수 작업에 대해 사용자가 지정한 이름입니다.

Maximum string length: 64
예시:

"my-job"

resumable
boolean

true인 경우, 이 엔드포인트는 재개 가능한 업로드가 활성화된 서명된 URL을 반환합니다.

응답

요청이 성공했습니다.

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체